Subject: [Fot] Aluminum pan baffle

From: [email-masked]
Date: Mon, 2 May 2016 23:09:39 -0400

Among the spares that came with my Tr3 was an aluminum pan. I replaced the (leaking!)steel pan (containing a very slick baffle with Volvo markings..!) with the aluminum pan that also had vertical baffles in it. Made from sheet aluminum, the baffles were pinned to the oil pan walls! The horizontal baffle was as Tim described.
The car had "teething problems" at it's debut last fall at the Lime Rock Historics, tearing up a new tire on the Thursday parade, and a fresh OD transmission that was rendered useless by a u-joint cap that burst out and put a hole in the overdrive! Nevertheless, I had a great time and I look forward to getting a good start in vintage racing this year, starting on Friday at Lime Rock. Maybe I'll see some of you in the future!

Rick McCurdy
Newburgh, NY
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive